exchangeICECandidate
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/meetings/webrtc/signaling/exchangeICECandidate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"candidate": {
"candidate": "<string>",
"sdpMLineIndex": 123,
"sdpMid": "<string>",
"usernameFragment": "<string>"
},
"meetingId": "<string>",
"sessionId": "<string>",
"targetUserId": "<string>"
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/meetings/webrtc/signaling/exchangeICECandidate"
payload = { "args": {
"candidate": {
"candidate": "<string>",
"sdpMLineIndex": 123,
"sdpMid": "<string>",
"usernameFragment": "<string>"
},
"meetingId": "<string>",
"sessionId": "<string>",
"targetUserId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
args: {
candidate: {
candidate: '<string>',
sdpMLineIndex: 123,
sdpMid: '<string>',
usernameFragment: '<string>'
},
meetingId: '<string>',
sessionId: '<string>',
targetUserId: '<string>'
}
})
};
fetch('https://connvo-dev.convex.cloud/api/run/meetings/webrtc/signaling/exchangeICECandidate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorMessage": "<string>",
"errorData": {},
"value": "<string>"
}{}{}Meetings
exchangeICECandidate
Exchanges ICE candidates for WebRTC connection establishment
POST
/
api
/
run
/
meetings
/
webrtc
/
signaling
/
exchangeICECandidate
exchangeICECandidate
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I